Bug 214073 - gnome-session-daemon produces stack trace at session startup
Summary: gnome-session-daemon produces stack trace at session startup
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libxklavier   
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-05 13:15 UTC by Filip Miletic
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 3.0-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 11:35:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gnome Settings Daemon Bug Report (7.13 KB, text/plain)
2006-11-05 13:15 UTC, Filip Miletic
no flags Details

Description Filip Miletic 2006-11-05 13:15:02 UTC
Description of problem:
The gnome-session-daemon produces a stack trace when logging into a gnome session.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a gnome session.
  
Actual results:
bug-buddy opens showing a backtrace. The theme briefly changes into default,
then changes back to user's setting.

Expected results:
no bug buddy, no errors.

Additional info:

Comment 1 Filip Miletic 2006-11-05 13:15:02 UTC
Created attachment 140389 [details]
Gnome Settings Daemon Bug Report

Comment 2 Matthias Clasen 2006-11-05 13:48:22 UTC
Please try the libxklavier-3.0-2.fc6 that is in updates-testing now.

Comment 3 Filip Miletic 2006-11-05 14:02:33 UTC
He he... 

I would do that, if my RPM database weren't wedged. ... What is going on with
this FC6?!

[root@cow yum.repos.d]# LC_ALL=en_US rpm -vvv --initdb
D: opening  db environment /var/lib/rpm/Packages joinenv
rpmdb: PANIC: fatal region error detected; run recovery
error: db4 error(-30977) from dbenv->open: DB_RUNRECOVERY: Fatal error, run
database recovery
D: opening  db index       /var/lib/rpm/Packages create mode=0x42
error: cannot open Packages index using db3 -  (-30977)
D: May free Score board((nil))
[root@cow yum.repos.d]# LC_ALL=en_US rpm -vvv --rebuilddb
D: rebuilding database /var/lib/rpm into /var/lib/rpmrebuilddb.4074
D: creating directory /var/lib/rpmrebuilddb.4074
D: opening old database with dbapi 3
D: opening  db environment /var/lib/rpm/Packages joinenv
rpmdb: PANIC: fatal region error detected; run recovery
error: db4 error(-30977) from dbenv->open: DB_RUNRECOVERY: Fatal error, run
database recovery
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
error: cannot open Packages index using db3 -  (-30977)
D: removing directory /var/lib/rpmrebuilddb.4074
D: May free Score board((nil))
[root@cow yum.repos.d]#

Comment 4 Filip Miletic 2006-11-05 14:07:34 UTC
Ah, disregard that. I removed the __db.* files and the rpm database is fine
again. Let's do what is recommended.



Comment 5 Filip Miletic 2006-11-05 14:22:23 UTC
(In reply to comment #2)
> Please try the libxklavier-3.0-2.fc6 that is in updates-testing now.

No such package in the following:

http://ftp.nluug.nl/ftp/pub/os/Linux/distr/fedora/updates/testing/6/i386/
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/6/i386/

where would it be, then?


Comment 6 Filip Miletic 2006-11-07 22:24:45 UTC
The updated libxklavier file is available in the updates-testing today. The link
is: http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/6/i386/

I tried it out and it seems to remove the stack trace problem. 

Comment 7 Bastien Nocera 2007-02-15 11:35:10 UTC
Thanks for the notice, closing this.


Note You need to log in before you can comment on or make changes to this bug.